const io = require('ws');

function initialWebsocket(onMessage) {
  const socket = new io('ws://127.0.0.1:7888/websocket/subscriptionTaskSync');

  socket.on('open', (socket) => {
    // socket.emit("hello", "world");
    console.log('socket connection');
    socket.on('message', onMessage);
  });
  socket.on('error', (...args) => {
    // socket.emit("hello", "world");
    console.log('socket error:', args);
  });
}

module.exports.initialWebsocketEvents = function initialWebsocketEvents(
  onMessage,
  onError,
) {
  initialWebsocket();
  // ipcMain.handle('socket:on', )
};
